
package SHARK2.keymon.com.mx;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class starter implements IRemote{
	public static starter mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public starter() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("starter"), "SHARK2.keymon.com.mx.starter");
	}
     public static RemoteObject getObject() {
		return myClass;
	 }
	public RemoteObject _service;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
        _service = (RemoteObject) args[2];
        remoteMe = RemoteObject.declareNull("SHARK2.keymon.com.mx.starter");
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[3];
		pcBA = new PCBA(this, starter.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) mostCurrent.pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _gps = RemoteObject.declareNull("anywheresoftware.b4a.gps.GPS");
public static RemoteObject _skmt = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _s = RemoteObject.declareNull("SHARK2.keymon.com.mx.c_subs");
public static RemoteObject _ph = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone");
public static RemoteObject _rp = RemoteObject.declareNull("anywheresoftware.b4a.objects.RuntimePermissions");
public static RemoteObject _flp = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.FusedLocationProviderWrapper");
public static RemoteObject _reqmanager = RemoteObject.declareNull("SHARK2.keymon.com.mx.dbrequestmanager");
public static RemoteObject _dbreqserver = RemoteObject.createImmutable("");
public static RemoteObject _timer1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.Timer");
public static RemoteObject _interval = RemoteObject.createImmutable(0);
public static RemoteObject _ruta = RemoteObject.createImmutable("");
public static RemoteObject _logs = RemoteObject.declareNull("anywheresoftware.b4a.keywords.StringBuilderWrapper");
public static RemoteObject _logcat = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone.LogCat");
public static RemoteObject _muestraprogreso = RemoteObject.createImmutable("");
public static RemoteObject _logger = RemoteObject.createImmutable(false);
public static RemoteObject _mac_impresora = RemoteObject.createImmutable("");
public static RemoteObject _marcacel = RemoteObject.createImmutable("");
public static RemoteObject _tabla = RemoteObject.createImmutable("");
public static RemoteObject _pre_viejo = RemoteObject.createImmutable(0f);
public static RemoteObject _btadmin = RemoteObject.declareNull("anywheresoftware.b4a.objects.Serial.BluetoothAdmin");
public static RemoteObject _bluetoothstate = RemoteObject.createImmutable(false);
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static SHARK2.keymon.com.mx.main _main = null;
public static SHARK2.keymon.com.mx.appupdater _appupdater = null;
public static SHARK2.keymon.com.mx.mapa_cliente _mapa_cliente = null;
public static SHARK2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static SHARK2.keymon.com.mx.notificationservice _notificationservice = null;
public static SHARK2.keymon.com.mx.pendientes _pendientes = null;
public static SHARK2.keymon.com.mx.subs _subs = null;
public static SHARK2.keymon.com.mx.tracker _tracker = null;
public static SHARK2.keymon.com.mx.newinst2 _newinst2 = null;
public static SHARK2.keymon.com.mx.b4xpages _b4xpages = null;
public static SHARK2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static SHARK2.keymon.com.mx.httputils2service _httputils2service = null;
public static SHARK2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"appUpdater",Debug.moduleToString(SHARK2.keymon.com.mx.appupdater.class),"B4XCollections",Debug.moduleToString(SHARK2.keymon.com.mx.b4xcollections.class),"B4XPages",Debug.moduleToString(SHARK2.keymon.com.mx.b4xpages.class),"BluetoothState",starter._bluetoothstate,"BTAdmin",starter._btadmin,"DateUtils",starter.mostCurrent._dateutils,"DBReqServer",starter._dbreqserver,"FLP",starter._flp,"gps",starter._gps,"HttpUtils2Service",Debug.moduleToString(SHARK2.keymon.com.mx.httputils2service.class),"Interval",starter._interval,"logcat",starter._logcat,"logger",starter._logger,"logs",starter._logs,"MAC_IMPRESORA",starter._mac_impresora,"Main",Debug.moduleToString(SHARK2.keymon.com.mx.main.class),"MAPA_CLIENTE",Debug.moduleToString(SHARK2.keymon.com.mx.mapa_cliente.class),"MAPA_RUTAS",Debug.moduleToString(SHARK2.keymon.com.mx.mapa_rutas.class),"marcaCel",starter._marcacel,"muestraProgreso",starter._muestraprogreso,"newinst2",Debug.moduleToString(SHARK2.keymon.com.mx.newinst2.class),"NotificationService",Debug.moduleToString(SHARK2.keymon.com.mx.notificationservice.class),"Pendientes",Debug.moduleToString(SHARK2.keymon.com.mx.pendientes.class),"ph",starter._ph,"pre_viejo",starter._pre_viejo,"reqManager",starter._reqmanager,"rp",starter._rp,"ruta",starter._ruta,"s",starter._s,"Service",starter.mostCurrent._service,"skmt",starter._skmt,"Subs",Debug.moduleToString(SHARK2.keymon.com.mx.subs.class),"tabla",starter._tabla,"Timer1",starter._timer1,"Tracker",Debug.moduleToString(SHARK2.keymon.com.mx.tracker.class),"XUIViewsUtils",Debug.moduleToString(SHARK2.keymon.com.mx.xuiviewsutils.class)};
}
}